﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Globalization;

namespace tarahi
{

    public partial class user : Form
    {
        //صدا زدن کلاس دیتابیس شامل جدول ها
        DatabaseEntities db = new DatabaseEntities();
        public user()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //برای گذشتن از خطاهای احتمالی
            try
            {
                //اضافه کردن کاربر جدید
                karbar k = new karbar()
                {
                    name = textBox1.Text,
                    family = textBox2.Text,
                    phone = textBox3.Text,
                    size_design = textBox5.Text,
                    price = Int32.Parse(textBox6.Text),
                    des = textBox7.Text,
                    date_in = textBox8.Text,
                    date_out = textBox9.Text

                };
                db.karbar.AddObject(k);
                db.SaveChanges();
                dataGridView1.DataSource = db.karbar;

                lblmessage.Text = "اطلاعات ثبت شد";
                button5.Enabled = true;
                button3.Enabled = false;
            }
            catch
            { }
        }
        //متد
        private void txt_disable()
        {
            textBox1.Enabled = false;
            textBox2.Enabled = false;
            textBox3.Enabled = false;
            textBox4.Enabled = false;
            textBox5.Enabled = false;
            textBox6.Enabled = false;
            textBox7.Enabled = false;
            textBox9.Enabled = false;
        }

        //متد
        private void txt_enable()
        {
            textBox1.Enabled = true;
            textBox2.Enabled = true;
            textBox3.Enabled = true;
            textBox4.Enabled = true;
            textBox5.Enabled = true;
            textBox6.Enabled = true;
            textBox7.Enabled = true;
            textBox9.Enabled = true;
        }
        private void user_Load(object sender, EventArgs e)
        {
            button3.Enabled = false;
            dataGridView1.DataSource = db.karbar;

            PersianCalendar pc = new PersianCalendar();
            textBox8.Text = pc.GetYear(DateTime.Now) + "/" + pc.GetMonth(DateTime.Now) + "/" + pc.GetDayOfMonth(DateTime.Now);

            label13 .Text = dataGridView1.Rows.Count.ToString();
            label15.Text = textBox8.Text;
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            //try باعث میشه تا خطا های ثانوی رو رد کنیم
            try
            {

                int index = Convert.ToInt16(dataGridView1.CurrentRow.Cells[0].Value);
                var update = db.karbar.Where(up => up.id == index).First();
                update.name = textBox1.Text;
                update.family = textBox2.Text;
                update.phone = textBox3.Text;
                update.type_design = textBox4.Text;
                update.size_design = textBox5.Text;
                update.price = Int32.Parse(textBox6.Text);
                update.date_out = textBox8.Text;
                db.SaveChanges();
                dataGridView1.DataSource = db.karbar;

                txt_disable();
                button1.Enabled = false;
                button6.Enabled = true;
            }
            catch { }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //باعث حذف شدن گزینه انتخابی میشه
            int index = Convert.ToInt16(dataGridView1.CurrentRow.Cells[0].Value);
            if ((MessageBox.Show("آیا مطمئن به حذف گزینه انتخابی هستید؟", "هشدار", MessageBoxButtons.YesNo) == DialogResult.Yes ))
            {
                
                    karbar k = new karbar();
                    var del = db.karbar.Where(d => d.id == index ).First();
                    db.DeleteObject(del);
                    db.SaveChanges();
                    dataGridView1.DataSource = db.karbar;

            }
        }

        private void textBox3_KeyPress(object sender, KeyPressEventArgs e)
        {
            //ورودی فقط عدد باشه
            if (char.IsDigit(e.KeyChar) | e.KeyChar == (char)Keys.Back)
                e.Handled = false;
            else
                e.Handled = true;
        }

        private void dataGridView1_RowEnter(object sender, DataGridViewCellEventArgs e)
        {
            
        }
        private void selectedi()
        {
            //رکورد اول گرید انتخاب باشه
            dataGridView1.Rows[0].Selected = true;

        }

        private void selec()
        {
            int index = Convert.ToInt32(dataGridView1.CurrentRow.Index);
            textBox1.Text = dataGridView1.Rows[index].Cells[1].Value.ToString();
            textBox2.Text = dataGridView1.Rows[index].Cells[2].Value.ToString();
            textBox3.Text = dataGridView1.Rows[index].Cells[3].Value.ToString();
            textBox4.Text = dataGridView1.Rows[index].Cells[4].Value.ToString();
            textBox5.Text = dataGridView1.Rows[index].Cells[5].Value.ToString();
            textBox6.Text = dataGridView1.Rows[index].Cells[6].Value.ToString();
            textBox7.Text = dataGridView1.Rows[index].Cells[7].Value.ToString();
        }


        private void button5_Click(object sender, EventArgs e)
        {
            txt_enable();
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox4.Text = "";
            textBox5.Text = "";
            textBox6.Text = "";
            textBox7.Text = "";
            textBox1.Focus();
            button5.Enabled = false;
            button3.Enabled = true;

        }



        private void dataGridView1_RowHeaderMouseClick(object sender, DataGridViewCellMouseEventArgs e)
        {
            selec();
        }

        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            selec();
        }

        private void دربارهماToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            About a = new About();
            a.ShowDialog();
        }

        private void برگشتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Hide();
            home h = new home();
            h.Show();
        }

        private void خروجToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void ثبتاطلاعاتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            button5_Click(sender, e);
        }

        private void ذخیرهToolStripMenuItem_Click(object sender, EventArgs e)
        {
            button1_Click(sender, e);
        }

        private void ثبتویرایششدهToolStripMenuItem_Click(object sender, EventArgs e)
        {
            button1_Click_1(sender, e);
        }

        private void حذفمشتریToolStripMenuItem_Click(object sender, EventArgs e)
        {
            button2_Click(sender, e);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            this.Hide();
            home h = new home();
            h.Show();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            txt_enable();
            button1.Enabled = true;
            button6.Enabled = false;
        }

        private void ویرایشToolStripMenuItem_Click(object sender, EventArgs e)
        {
            button6_Click(sender, e);
        }

        private void user_FormClosing(object sender, FormClosingEventArgs e)
        {
            Application.Exit();
        }

    }
}
