﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Globalization;

namespace tarahi
{
    public partial class Tarah1 : Form
    {
        //این کلاس پایگاه داده رو صدا میزنه
        DatabaseEntities db = new DatabaseEntities();

        public Tarah1()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //این برای حذف به کار میره
            int index = Convert.ToInt16(dataGridView1.CurrentRow.Cells[0].Value);
            //نمایش پیغام برای حذف
            if ((MessageBox.Show("آیا مطمئن به حذف گزینه انتخابی هستید؟", "هشدار", MessageBoxButtons.YesNo) == DialogResult.Yes))
            {
                
                tarah k = new tarah ();
                //شرط میگه میخواید گزینه انتخابی رو حذف کنید
                var del = db.tarah.Where(d => d.id == index).First();
                //این گزینه حذف میکنه
                db.DeleteObject(del);
                //بعد ذخیره
                db.SaveChanges();
                dataGridView1.DataSource = db.tarah;

            }
        }


        private void button5_Click(object sender, EventArgs e)
        {
            //تکس ها رو فعال و متن رو خالی میکنه
            txt_enable();
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox5.Text = "";
            textBox6.Text = "";
            textBox4.Text = "";
            textBox7.Text = "";
            textBox1.Focus();
            button5.Enabled = false;
            button3.Enabled = true;
        }
        //این یک متد است
        private void selec()
        {
            //فیلد های جدول رو برابر میکنه با تکس ها
            int index = Convert.ToInt32(dataGridView1.CurrentRow.Index);
            textBox1.Text = dataGridView1.Rows[index].Cells[1].Value.ToString();
            textBox2.Text = dataGridView1.Rows[index].Cells[2].Value.ToString();
            textBox3.Text = dataGridView1.Rows[index].Cells[3].Value.ToString();
            textBox4.Text = dataGridView1.Rows[index].Cells[4].Value.ToString();
            textBox5.Text = dataGridView1.Rows[index].Cells[5].Value.ToString();
            textBox6.Text = dataGridView1.Rows[index].Cells[6].Value.ToString();
        }
        private void button3_Click(object sender, EventArgs e)
        {
            try
            {
                //برای اضاف کردن طراح جدید
                tarah k = new tarah()
                {
                    //تکس ها رو برابر با فیلد جدول میکنیم
                    name = textBox1.Text,
                    family = textBox2.Text,
                    phone = textBox3.Text,
                    size_design = textBox6.Text,
                    type_design = textBox5.Text,
                    address = textBox4.Text
                };
                //خط زیر گزینه جدید رو اضاف میکنه
                db.tarah.AddObject(k);
                //تغییرات رو ذخیره میکنه
                db.SaveChanges();
                //نمایش پیغام
                MessageBox.Show("اطلاعات ثبت شد");
                button5.Enabled = true;
                button3.Enabled = false;
                //گرید رو برابر با جدول طراح میکنه
                dataGridView1.DataSource = db.tarah;
            }
            catch { }

        }

        private void txt_disable()
        {
            //دکمه ها رو فعال میکنه
            textBox1.Enabled = false ;
            textBox2.Enabled = false;
            textBox3.Enabled = false;
            textBox4.Enabled = false;
            textBox5.Enabled = false;
            textBox6.Enabled = false;
        }

        private void txt_enable()
        {
            //دکمه ها رو غیر فعال میکنه
            textBox1.Enabled = true;
            textBox2.Enabled = true;
            textBox3.Enabled = true;
            textBox4.Enabled = true;
            textBox5.Enabled = true;
            textBox6.Enabled = true;
        }

        private void Tarah1_Load(object sender, EventArgs e)
        {
            dataGridView1.DataSource = db.tarah;
            //این دو خط برای تبدیل تاریخ میلادی به فارسی هستش
            PersianCalendar pc = new PersianCalendar();
            label13.Text = pc.GetYear(DateTime.Now) + "/" + pc.GetMonth(DateTime.Now) + "/" + pc.GetDayOfMonth(DateTime.Now);

            //تعداد طراح هان رو بدست میاره
            label5.Text = dataGridView1.Rows.Count.ToString();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //try برای گزشتن از خطا است
            try
            {
                //متد زیر رو صدا میزنه
                txt_disable();
                
                //شماره ایندکس رو بدست میاره
                int index = Convert.ToInt16(dataGridView1.CurrentRow.Cells[0].Value);
                //این شرط برای آپدیت یا ویرایش هستش
                var update = db.tarah.Where(up => up.id == index).First();
                update.name = textBox1.Text;
                update.family = textBox2.Text;
                update.phone = textBox3.Text;
                update.type_design = textBox5.Text;
                update.size_design = textBox6.Text;
                //بعد از ویرایش ذخیره میکنه
                db.SaveChanges();
                //اتصال دوباره یا آپدیت گرید ویو برای نمایش لیست
                dataGridView1.DataSource = db.tarah;
                //دکمه یک رو غیر فعال میکنه
                button1.Enabled = false;
                button6.Enabled = true; ;
            }
                //catch ادامه گذشتن از خطا است
            catch
            { }
        }

        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            //متد زیر رو صدا میزنه
            selec();
        }

        private void dataGridView1_RowHeaderMouseClick(object sender, DataGridViewCellMouseEventArgs e)
        {
            //صدا زدن متد انتخاب
            selec();
        }

        private void textBox3_KeyPress(object sender, KeyPressEventArgs e)
        {
            //این کد باعث میشه توی فیلد تلفن فقط عدد وارد بشه
            if (char.IsDigit(e.KeyChar) | e.KeyChar == (char)Keys.Back)
                e.Handled = false;
            else
                e.Handled = true;
        }

        private void button4_Click(object sender, EventArgs e)
        {
            //فرم اول رو مخفی
            this.Hide();
            //فرم دوم رو صدا میزنه
            home h = new home();
            h.Show();
        }

        private void برگشتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //کد های دکمه 4 رو صدا میزنه
            button4_Click(sender, e);
        }

        private void button6_Click(object sender, EventArgs e)
        {
            //دکمه شماره یک رو  فعال میکنه
            button1.Enabled = true;
            //دکمه 6 رو غیر فعال میکنه
            button6.Enabled = false;
            //متد زیر رو صدا میزنه
            txt_enable();
            
        }

        private void Tarah1_FormClosing(object sender, FormClosingEventArgs e)
        {
            //باعث بستن کامل برنامه میشه
            Application.Exit();

        }

        private void دربارهماToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            //نمایش فرم درباره ما
            About a = new About();
            a.ShowDialog();

        }

        private void خروجToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }
    }
}
